<?php

class OSystem
{   
    static private function configure_keys() {
        return array(
            
            'db',
            'sys',
            'provider',
            'level',
            'express'
        );
    }

    static private function configure_load() {
        
        $keys = self::configure_keys();
        foreach($keys AS $one) {
            $INI[$one] = self::_configure_load($one);
        }
        return $INI;
    }
    static private function _configure_load($key=null) {
        $value = "";
        if (!$key) return NULL;
        $php = DIR_CONFIGURE . '/' . $key . '.php';
        if ( file_exists($php) ) {
            require_once($php);
        }
        return $value;
    }
    static public function getINI(){
        
        $INI = self::configure_load();
        return $INI;
    }
}

?>
